#Hedge's g calculations

#state anxiety
title_anxiety <- c("Shearer (2015)", "Wilson (1987)", "Crossman (2015)", "Banks (2018)")

#Long-term stress
title <- c("Ward-Griffin (2018) - RCT", "Banks (2018)", "Binfet (2017)")

#positive affect
title_pa <- c("Ward-Griffin (2018) - RCT", "Crossman (2015)", "Banks (2018)")

#negative affect
title_na <- c("Ward-Griffin (2018) - RCT", "Shearer (2015)", "Crossman (2015)", "Banks (2018)")

#BP
title_bp <- c("McDonald (2017) - systolic", "Wilson (1987) - systolic", 
              "Crump (2015) - Study I - systolic")

install.packages("esc") 
library(esc)

#Banks
#state anxiety
esc_mean_sd(grp1m = 38.04, grp1sd = 10.5, grp1n = 29,
            grp2m = 43.28, grp2sd = 9.28, grp2n = 27, es.type = "g")

#positive affect (T2)
esc_mean_sd(grp1m = 25.9, grp1sd = 7.35, grp1n = 29,
            grp2m = 26.67, grp2sd = 7.25, grp2n = 27, es.type = "g")

#negative affect (T2)
esc_mean_sd(grp1m = 13.69, grp1sd = 4.48, grp1n = 29,
            grp2m = 13.74, grp2sd = 4.37, grp2n = 27, es.type = "g")

#PSS (T2)
esc_mean_sd(grp1m = 26.54, grp1sd = 7.44, grp1n = 29,
            grp2m = 29.15, grp2sd = 4.68, grp2n = 27, es.type = "g")

#Binfet
#PSS 
esc_mean_sd(grp1m = 1.57, grp1sd = 0.64, grp1n = 81,
            grp2m = 1.8, grp2sd = 0.77, grp2n = 74, es.type = "g")

#Crossman (vs no treatment control)
#anxiety
esc_mean_sd(grp1m = 30.1, grp1sd = 8.22, grp1n = 22,
            grp2m = 43.09, grp2sd = 11.91, grp2n = 22, es.type = "g")

#negative affect
esc_mean_sd(grp1m = 11.1, grp1sd = 2.08, grp1n = 22,
            grp2m = 17.32, grp2sd = 5.85, grp2n = 22, es.type = "g")

#positive affect
esc_mean_sd(grp1m = 31.4, grp1sd = 8.67, grp1n = 22,
            grp2m = 26.55, grp2sd = 8.23, grp2n = 22, es.type = "g")

#Crump
esc_f(f=4.75,totaln = 27,es.type = "g")

#Hall
esc_t(t = 2.746, grp1n = 41, grp2n = 36,es.type="g")

#McDonald
esc_mean_sd(grp1m = 110, grp1sd = 8, grp1n = 22,
            grp2m = 129, grp2sd = 7, grp2n = 26, es.type = "g")

#Pendry
esc_mean_sd(grp1m = 0.56, grp1sd = 0.59, grp1n = 68,
            grp2m = 0.88, grp2sd = 0.7, grp2n = 57, es.type = "g")

#Shearer
#anxiety
esc_mean_sd(grp1m = 34.52, grp1sd = 10, grp1n = 23,
            grp2m = 42.89, grp2sd = 10.27, grp2n = 18, es.type = "g")

#negative affect
esc_mean_sd(grp1m = 7.13, grp1sd = 1.84, grp1n = 23,
            grp2m = 8.56, grp2sd = 2.75, grp2n = 18, es.type = "g")

#Stewart
esc_mean_sd(grp1m = 39.67, grp1n = 64,
            grp2m = 40.27, grp2n = 64, totalsd=10.54 ,es.type = "g")

#Ward-Griffin
#positive affect
esc_mean_sd(grp1m = 2.89, grp1sd = 0.76, grp1n = 122,
            grp2m = 2.96, grp2sd = 0.83, grp2n = 124, es.type = "g")

#negative affect
esc_mean_sd(grp1m = 2, grp1sd = 0.81, grp1n = 122,
            grp2m = 2.06, grp2sd = 0.66, grp2n = 124, es.type = "g")

#PSS
esc_mean_sd(grp1m = 1.95, grp1sd = 0.71, grp1n = 122,
            grp2m = 2.04, grp2sd = 0.69, grp2n = 124, es.type = "g")

#Wilson
#anxiety
esc_mean_sd(grp1m = 27.8, grp1sd = 7.94, grp1n = 46,
            grp2m = 27.48, grp2sd = 7.43, grp2n = 46, es.type = "g")

#BP
esc_mean_sd(grp1m = 110.89, grp1sd = 11.32, grp1n = 46,
            grp2m = 108.44, grp2sd = 11.86, grp2n = 46, es.type = "g")